.footer {   position: absolute;
            right: 0;
            bottom:0;
            left:0;
            font-size: 12px;
            color: #FFFFFF;
            text-align: center;
            padding: 8px;
            flex-shrink: 0; 
            background-color: #3F51B5;  }